Skip to main content
POST
/
api
/
v1
/
ops
/
support-cases
/
{supportCaseId}
/
cancel
Cancel Support Case
curl --request POST \
  --url https://api.example.com/api/v1/ops/support-cases/{supportCaseId}/cancel \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/ops/support-cases/{supportCaseId}/cancel"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/ops/support-cases/{supportCaseId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "supportCaseId": "0197f150-40d6-7c1a-bdf2-c5884e07d401",
  "openedByUserId": "0197a7f6-2c4d-74ae-b89b-9d36d9c341f2",
  "code": "SUP-20260710-0001",
  "scopeType": "CUSTOMER",
  "priority": "MEDIUM",
  "subject": "Problema na viagem",
  "description": "Preciso de ajuda com minha viagem.",
  "status": "OPEN",
  "createdAt": "2026-07-10T12:00:00.000Z",
  "updatedAt": "2026-07-10T12:00:00.000Z",
  "customerId": null,
  "organizationId": null,
  "companyId": null,
  "cooperativeId": null,
  "transportOperatorId": null,
  "assignedToUserId": null,
  "categoryId": null,
  "relatedOrderId": null,
  "relatedTripReviewId": null,
  "relatedSalesTicketId": null,
  "relatedTripId": null,
  "resolvedAt": null,
  "closedAt": null,
  "deletedAt": null
}
{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}
{
"message": "Missing or invalid access token",
"statusCode": 401
}
{
"message": "Insufficient permissions",
"statusCode": 403
}
{
"message": "Internal Server Error",
"statusCode": 500
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

supportCaseId
string<uuid>
required

Support case identifier

Example:

"0197f150-40d6-7c1a-bdf2-c5884e07d401"

Query Parameters

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.

Response

OK

Support case

supportCaseId
string<uuid>
required

Support case identifier

Example:

"0197f150-40d6-7c1a-bdf2-c5884e07d401"

openedByUserId
string<uuid>
required

Opening user identifier

Example:

"0197a7f6-2c4d-74ae-b89b-9d36d9c341f2"

code
string
required

Support case code

Maximum string length: 40
Example:

"SUP-20260710-0001"

scopeType
enum<string>
required

Support case scope

Available options:
CUSTOMER,
COMPANY,
COOPERATIVE,
TRANSPORT_OPERATOR,
BKO
Example:

"CUSTOMER"

priority
enum<string>
required

Support case priority

Available options:
LOW,
MEDIUM,
HIGH,
URGENT
Example:

"MEDIUM"

subject
string
required

Support case subject

Maximum string length: 160
Example:

"Problema na viagem"

description
string
required

Initial description

Maximum string length: 5000
Example:

"Preciso de ajuda com minha viagem."

status
enum<string>
required

Support case status

Available options:
OPEN,
WAITING_CUSTOMER,
WAITING_SUPPORT,
RESOLVED,
CLOSED,
CANCELED
Example:

"OPEN"

createdAt
string<date-time>
required

Created at

Example:

"2026-07-10T12:00:00.000Z"

updatedAt
string<date-time>
required

Updated at

Example:

"2026-07-10T12:00:00.000Z"

customerId
string<uuid> | null

Customer identifier

Example:

null

organizationId
string<uuid> | null

Organization identifier

Example:

null

companyId
string<uuid> | null

Company identifier

Example:

null

cooperativeId
string<uuid> | null

Cooperative identifier

Example:

null

transportOperatorId
string<uuid> | null

Transport operator identifier

Example:

null

assignedToUserId
string<uuid> | null

Assigned user identifier

Example:

null

categoryId
string<uuid> | null

Category identifier

Example:

null

Related order identifier

Example:

null

Related trip review identifier

Example:

null

Related ticket identifier

Example:

null

Related trip identifier

Example:

null

resolvedAt
string<date-time> | null

Resolved at

Example:

null

closedAt
string<date-time> | null

Closed at

Example:

null

deletedAt
string<date-time> | null

Deleted at

Example:

null